# demonstration of standard errors for variance and standard deviation
# of normal distribution
y <- rnorm(100,0,2)

# variance
lf1 <- function(p)sum((y-p[1])^2/(2*p[2])+log(p[2])/2)
print(z1 <- nlm(lf1,c(0,4),hess=T))
sqrt(1/z1$hess[2,2])
sqrt(2*z1$est[2]^2/100)

# standard deviation
lf2 <- function(p)sum((y-p[1])^2/(2*p[2]^2)+log(p[2]^2)/2)
print(z2 <- nlm(lf2,c(0,2),hess=T))
sqrt(1/z2$hess[2,2])
sqrt(z2$est[2]^2/200)
