block <- gl(2,4,8)
colour <- gl(2,1,8)
year <- gl(2,2,8)

low <- c(54,4,158,24,307,27,794,168)
high <- c(253,23,636,144,325,81,600,224)
y <- cbind(low,high)
options(contrasts = c("contr.sum", "contr.poly"))
print(summary(z0 <- glm(y~1,family=binomial)))
deviance(z0)+2*(dim(y)[1]-z0$df.res)
print(summary(z1 <- glm(y~block*colour*year,family=binomial)))
deviance(z1)+2*(dim(y)[1]-z1$df.res)
print(summary(z2 <- glm(y~block+colour*year,family=binomial)))
deviance(z2)+2*(dim(y)[1]-z2$df.res)
print(summary(z3 <- glm(y~block,family=binomial)))
deviance(z3)+2*(dim(y)[1]-z3$df.res)
print(summary(z4 <- glm(y~block+colour+year,family=binomial)))
deviance(z4)+2*(dim(y)[1]-z4$df.res)

high <- c(578,104,1236,368,325,81,600,224)
y <- cbind(low,high)
print(summary(z0a <- glm(y~1,family=binomial)))
deviance(z0a)+2*(dim(y)[1]-z0a$df.res)
print(summary(z1a <- glm(y~block*colour*year,family=binomial)))
deviance(z1a)+2*(dim(y)[1]-z1a$df.res)
print(summary(z2a <- glm(y~block+colour*year,family=binomial)))
deviance(z2a)+2*(dim(y)[1]-z2a$df.res)
print(summary(z3a <- glm(y~block,family=binomial)))
deviance(z3a)+2*(dim(y)[1]-z3a$df.res)
print(summary(z4a <- glm(y~block+colour+year,family=binomial)))
deviance(z4a)+2*(dim(y)[1]-z4a$df.res)

freq <- c(54,4,158,24,253,23,636,144,325,81,600,224)
yc <- gl(4,1,12)
yr <- gl(2,2,12)
col <- gl(2,1,12)
rating <- gl(3,4,12)
options(contrasts = c("contr.treatment", "contr.poly"))
print(summary(z0b <- glm(freq~yc+rating,family=poisson)))
deviance(z0b)+2*(length(freq)-z0b$df.res)
print(summary(z1b <- glm(freq~yc*rating,family=poisson)))
deviance(z1b)+2*(length(freq)-z1b$df.res)
print(summary(z2b <- glm(freq~(yr+col)*rating,family=poisson)))
deviance(z2b)+2*(length(freq)-z2b$df.res)
