options(contrasts = c("contr.sum", "contr.poly"))

radio <- gl(2,1,8)
lect <- read <- gl(2,2,8)
news <- gl(2,4,8)

# results in the text
good <- c(31,34,137,276,5,5,29,151)
poor <- c(12,24,126,333,6,18,66,476)
y <- cbind(good,poor)
print(summary(z0a <- glm(y~1,family=binomial)))
deviance(z0a)+2*(dim(y)[1]-z0a$df.res)
print(summary(z1a <- glm(y~radio*read*news,family=binomial)))
deviance(z1a)+2*(dim(y)[1]-z1a$df.res)

# question (a)
good <- c(125,228,43,82,17,70,17,86)
poor <- c(75,195,63,162,19,91,53,403)
y <- cbind(good,poor)
print(summary(z0b <- glm(y~1,family=binomial)))
deviance(z0b)+2*(dim(y)[1]-z0b$df.res)
print(summary(z1b <- glm(y~radio*read*news,family=binomial)))
deviance(z1b)+2*(dim(y)[1]-z1b$df.res)

read <- gl(2,1,16)
lect <- gl(2,2,16)
news <- gl(2,4,16)
radio <- gl(2,8,16)
good <- c(23,8,102,35,1,4,16,13,27,7,201,75,3,2,67,84)
poor <- c(8,4,67,59,3,3,16,50,18,6,177,156,8,10,83,393)
y <- cbind(good,poor)
print(summary(z0c <- glm(y~1,family=binomial)))
deviance(z0c)+2*(dim(y)[1]-z0c$df.res)
print(summary(z1c <- glm(y~radio*read*news*lect,family=binomial)))
deviance(z1c)+2*(dim(y)[1]-z1c$df.res)
print(summary(z2c <- glm(y~radio*read*news*lect-radio:read:news:lect,
	family=binomial)))
deviance(z2c)+2*(dim(y)[1]-z2c$df.res)
print(summary(z3c <- glm(y~radio*read+news*lect+radio*news+radio*lect
	+read*lect+read*news,family=binomial)))
deviance(z3c)+2*(dim(y)[1]-z3c$df.res)
print(summary(z4c <- glm(y~news*lect+radio+read*lect+read*news,
	family=binomial)))
deviance(z4c)+2*(dim(y)[1]-z4c$df.res)
