options(contrasts = c("contr.sum", "contr.poly"))

car <- gl(2,1,8)
income <- gl(2,2,8)
age <- gl(2,4,8)
near <- c(12,17,3,2,18,51,2,1)
other <- c(57,48,24,3,53,105,11,0.5)
y <- cbind(near,other)
print(summary(z0 <- glm(y~1,family=binomial)))
deviance(z0)+2*(dim(y)[1]-z0$df.res)
print(summary(z1 <- glm(y~car*income*age,family=binomial)))
deviance(z1)+2*(dim(y)[1]-z1$df.res)

y[8,2] <- 0
print(summary(z0a <- glm(y~1,family=binomial)))
deviance(z0a)+2*(dim(y)[1]-z0a$df.res)
print(summary(z1a <- glm(y~car*income*age,family=binomial)))
deviance(z1a)+2*(dim(y)[1]-z1a$df.res)
print(summary(z2a <- glm(y~car*income*age-car:income:age,family=binomial)))
deviance(z2a)+2*(dim(y)[1]-z2a$df.res)
print(summary(z3a <- glm(y~car*income,family=binomial)))
deviance(z3a)+2*(dim(y)[1]-z3a$df.res)
1-pchisq(deviance(z3a),z3a$df.res)
print(summary(z4a <- glm(y~car*age,family=binomial)))
deviance(z4a)+2*(dim(y)[1]-z4a$df.res)
1-pchisq(deviance(z4a),z4a$df.res)
print(summary(z5a <- glm(y~age*income,family=binomial)))
deviance(z5a)+2*(dim(y)[1]-z5a$df.res)
1-pchisq(deviance(z5a),z5a$df.res)
