print(p1 <- 1/(1+exp(-0.25)))
print(p2 <- 1/(1+exp(0.25)))

1/(-log(0.5)+p1*log(p1)+p2*log(p2))
size <- NULL
for(i in seq(0.25,0.75,by=0.01)){
	a <- log(i/(1-i))
	p1 <- 1/(1+exp(a-0.25))
	p2 <- 1/(1+exp(a+0.25))
	p3 <- (p1+p2)/2
	size <- c(size,1/(-p3*log(p3)-(1-p3)*log(1-p3)+p1*log(p1)/2+
		(1-p1)*log(1-p1)/2
		+p2*log(p2)/2+(1-p2)*log(1-p2)/2))}

if(interactive()){
postscript("e3-8.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(log(seq(0.25,0.75,by=0.01)/(1-seq(0.25,0.75,by=0.01))),size,
	xlab=expression(mu),ylab="Sample size",bty="L",lty=1,type="l",
	ylim=c(0,200))
dev.off()
}
