library(gnlm)

f <- read.table("divorces.dat",skip=2)[[2]]
y <- 1:52

if(interactive()){
postscript("e4-12.eps",height=4,width=5)
par(mfrow=c(1,1),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"inverse Gauss",plot=interactive(),main="",
	xlab="Length of marriage",xlim=c(0,52),bty="L",ylim=c(0,0.07))
if(interactive()){
dev.off()
}
fit.dist(y,f,"log normal",plot=interactive(),main="",
	xlab="Length of marriage",xlim=c(0,52),bty="L",ylim=c(0,0.07))
