library(gnlm)

f3 <- c(447,132,42,21,3,2)
y3 <- seq(0,5)
if(interactive()){
postscript("e4-4a.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z3 <- fit.dist(y3,f3,"Poisson",plot=interactive(),
	xlab="Number of accidents",
	main="",bty="L"))
print(z3a <- fit.dist(y3,f3,"negative binomial",exact=F,plot=interactive(),
	add=T,lty=3))
print(z3b <- fit.dist(y3,f3,"negative binomial"))
if(interactive()){
dev.off()
}

f4 <- c(7840,1317,239,42,14,4,4,1)
y4 <- seq(0,7)
if(interactive()){
postscript("e4-4b.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z4 <- fit.dist(y4,f4,"Poisson",plot=interactive(),
	xlab="Number of accidents",main="",bty="L"))
print(z4a <- fit.dist(y4,f4,"negative binomial",exact=F,plot=interactive(),
	add=T,lty=3))
print(z4b <- fit.dist(y4,f4,"negative binomial"))
if(interactive()){
dev.off()
}
