postscript("corr1.eps")
par(mfrow=c(2,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
x <- rnorm(200,5,2)
y <- rnorm(200,5,1)
plot(x,y,xlim=c(-5,15),ylim=c(0,10),pch=20,xlab="",ylab=expression(y[2]),
	main=expression(rho==0))
abline(h=5,lty=2)
abline(v=5,lty=2)

x <- rnorm(200,y,2)
plot(x,y,xlim=c(-5,15),ylim=c(0,10),pch=20,xlab="",ylab="",
	main=expression(rho>0))
abline(h=5,lty=2)
abline(v=5,lty=2)

x <- rnorm(200,10-y,2)
plot(x,y,xlim=c(-5,15),ylim=c(0,10),pch=20,xlab=expression(y[1]),
	ylab=expression(y[2]),main=expression(rho<0))
abline(h=5,lty=2)
abline(v=5,lty=2)

x <- rnorm(200,5,2)
y <- rnorm(200,5,1)
miss <- y<5&x>3&x<7
x <- x[!miss]
y <- y[!miss]
plot(x,y,xlim=c(-5,15),ylim=c(0,10),pch=20,xlab=expression(y[1]),ylab="",
	main=expression(rho==0))
abline(h=5,lty=2)
abline(v=5,lty=2)
dev.off()
