options(contrasts = c("contr.sum", "contr.poly"))

rate <- c(4.3,5.9,2.8,7.7,5.1,3.6,1.8,3.3,3.1,3.8,1.6,1.9,
	12.3,9.1,16.3,10.2,6.2,4.1,9.5,11.2,6.2,11.4,7.1,12.5)
region <- gl(2,12,24)
type <- gl(3,4,24)
print(summary(z1 <- lm(rate~region*type)))
print(summary(z2 <- lm(rate~region+type)))
print(summary(z3 <- lm(rate~region)))
print(summary(z4 <- lm(rate~type)))
print(summary(z5 <- lm(rate~1)))
anova(z1)

print(AIC1 <- 24*log(deviance(z1)/24)+12)
print(AIC2 <- 24*log(deviance(z2)/24)+8)
print(AIC3 <- 24*log(deviance(z3)/24)+4)
print(AIC4 <- 24*log(deviance(z4)/24)+6)
print(AIC5 <- 24*log(deviance(z5)/24)+2)

print(dev3 <- 24*log(deviance(z5)/deviance(z3)))
print(dev4 <- 24*log(deviance(z5)/deviance(z4)))
