source("cum.histo.r")
male <- c(5,12)
female <- c(6,5)

postscript("students.eps",height=6)
par(mfrow=c(1,2),mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0),font.main=1)
cum.histo(1:2,male/17,main="Male",xlab="Ph.D. plans",ylab="Relative frequency",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
axis(side=2,at=seq(0,1,by=0.2))
cum.histo(1:2,female/11,main="Female",xlab="Ph.D. plans",ylab="",
	xlim=c(0.5,2.5),ylim=c(0,1),axes=F,frame.plot=T)
axis(side=1,at=1:2,labels=c("Yes","No"))
dev.off()
