source("cumhisto.r")

month <- seq(1,18)
freq <- c(15,11,14,17,5,11,10,4,8,10,7,9,11,3,6,1,1,4)
pc <- 100*freq/sum(freq)
names(pc) <- month
cat("Percentage table\n")
print(pc)
breaks <- seq(0,18)+0.5

if(interactive()){
postscript("e1-6.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cum.histo(breaks,freq,main="",xlab="Month",frame=T,bty="L")
dev.off()
}
