burg <- c(8385,976,183,35,5,2)
number <- seq(0,5)
print(summary(z <- glm(burg~number,family=poisson)))
print(summary(z <- glm(burg~number,family=poisson,
	control=glm.control(maxit=1))))
w <- burg
z <- log(burg)
a <- sum(w)
b <- sum(w*z)
c <- sum(w*number)
d <- sum(w*number^2)
e <- sum(w*number*z)
print(b1 <- (e-b*c/a)/(d-c^2/a))
print(b0 <- b/a - b1*c/a)

if(interactive()){
postscript("e2-10.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
f <- function(x) exp(b0+b1*x)
plot(number,burg,xlab="Number of burglaries",pch=20,bty="L",
	ylab="Number of households")
curve(f(x),0,5,n=100,add=T)
dev.off()
}
