month <- seq(1,18)
freq <- c(15,11,14,17,5,11,10,4,8,10,7,9,11,3,6,1,1,4)
print(summary(z <- glm(freq~month,family=poisson)))
print(summary(z <- glm(freq~month,family=poisson,
	control=glm.control(maxit=1))))
w <- freq
z <- log(freq)
a <- sum(w)
b <- sum(w*z)
c <- sum(w*month)
d <- sum(w*month^2)
e <- sum(w*month*z)
print(b1 <- (e-b*c/a)/(d-c^2/a))
print(b0 <- b/a - b1*c/a)
f1 <- function(x) exp(b0+b1*x)

if(interactive()){
postscript("e2-11.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(month,freq,xlab="Month",pch=20,ylim=c(0,20),xlim=c(0,20),bty="L",
	ylab="Number recalling an event")
curve(f1(x),0,20,n=100,add=T)
dev.off()
}

print(dev1 <- -2*sum(freq*log(f1(month)/freq)))
f2 <- function(x) exp(2.80316-0.08377*x)
print(dev2 <- -2*sum(freq*log(f2(month)/freq)))
