freq <- c(4,2,13,1,11,2,2,2,9,2,6,0)
piano <- gl(2,1,12)
orch <- gl(6,2,12)

options(contrasts = c("contr.sum", "contr.poly"))
print(summary(z0 <- glm(freq~piano+orch,family=poisson)))
deviance(z0)+2*(length(freq)-z0$df.res)
print(summary(z1 <- glm(freq~piano*orch,family=poisson)))
deviance(z1)+2*(length(freq)-z1$df.res)

freq[12] <- 0.5
print(summary(z0 <- glm(freq~piano+orch,family=poisson)))
deviance(z0)+2*(length(freq)-z0$df.res)
print(summary(z1 <- glm(freq~piano*orch,family=poisson)))
deviance(z1)+2*(length(freq)-z1$df.res)

y1 <- freq[seq(1,12,by=2)]
y2 <- freq[seq(2,12,by=2)]
piano <- cbind(y1,y2)
orch <- gl(6,1,6)
print(summary(z0 <- glm(piano~1,family=binomial)))
deviance(z0)+2*(dim(piano)[1]-z0$df.res)
print(summary(z1 <- glm(piano~orch,family=binomial)))
deviance(z1)+2*(dim(piano)[1]-z1$df.res)
