library(gnlm)

if(interactive()){
postscript("negbin.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
fit.dist(0:20,10*dnbinom(0:20,2,0.5),"negative binomial",
	plot=T,xlab=expression(y[i]),ylab=expression(pi[i]),main="",
	xlim=c(0,9))
dev.off()
}

f1 <- c(1671,43,19,9,2,3,1,0,0,2,0)
y1 <- seq(0,10)
if(interactive()){
postscript("purchases.eps",height=6,width=6)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y1,f1,"Poisson",plot=interactive(),xlab="Units",
	ylab=expression(pi[i]),main="")
fit.dist(y1,f1,"negative binomial",plot=interactive(),add=T,lty=3)
if(interactive()){
legend(4,0.6,legend=c("Poisson","Negative binomial"),lty=c(1,3),bty="n")
dev.off()
}
fit.dist(y1,f1,"negative binomial",plot=F,exact=F)
