library(gnlm)

f2 <- c(1,1,6,3,4,3,9,6,5,16,4,11,6,11,3,4,5,6,4,4,5,1,1,4,1,2,0,2,0,0,1)
y2 <- seq(1100,4100,by=100)
if(interactive()){
postscript("e4-14.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z2 <- fit.dist(y2,f2,"normal",delta=100,plot=interactive(),
	xlab="Monthly salary (dollars)",main="",bty="L"))
print(z2a <- fit.dist(y2,f2,"log normal",delta=100,plot=interactive(),
	add=T,lty=3))
print(z2b <- fit.dist(y2,f2,"logistic",delta=100,exact=F,plot=interactive(),
	add=T,lty=2))
print(exp(7.697961+7.716487e-02/2))
print(z2c <- fit.dist(y2,f2,"logistic",delta=100))
if(interactive()){
dev.off()
}
