library(gnlm)

f2 <- c(15,11,14,17,5,11,10,4,8,10,7,9,11,3,6,1,1,4)
y2 <- seq(1,18)
if(interactive()){
postscript("e4-16.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z2 <- fit.dist(y2,f2,"exponential"))
print(z2 <- fit.dist(y2,f2,"exponential",censor=T,plot=interactive(),
	xlab="Months",main="",bty="L"))
mod <- function(x) exp(2.80316-0.08377*x)
print(dev2 <- -2*sum(f2*log(mod(y2)/f2)))
fr <- mod(y2)/sum(f2)
if(interactive()){
lines(y2,fr,lty=3)
dev.off()
}
